/* === BASE GERAL === */
#container {
    background-color: #f6f6f6;
}

.btn_biblioteca {
    display: flex;
    gap: 0.4rem;
    text-decoration: none;
    color: white;
    font-weight: 700;
    background-color: #ba0f14;
    width: max-content;
    padding: 10px;
    border-radius: 10px;
}

.btn_biblioteca:hover {
    transition: all 0.30s;
    box-shadow: 5px 5px 5px 0 rgba(0, 0, 0, 0.341);
}

.btn_biblioteca:not(:hover) {
    transition: all 0.30s;
    box-shadow: none;
}

/* === SOBRE A BIBLIOTECA === */
@media screen and (max-width: 768px) {
    .sobre-a-biblioteca {
        display: flex;
        flex-wrap: wrap;
        align-content: center;
        text-align: justify;
        padding: 1.5rem;
        gap: 4rem;
    }

    #container .sobre-a-biblioteca .video img {
        width: 100%;
    }
}

@media screen and (min-width: 768px) {
    .sobre-a-biblioteca {
        display: flex;
        flex-direction: column;
        align-content: center;
        padding: 2.5rem;
        gap: 4rem;
    }

    #container .sobre-a-biblioteca .video img {
        width: 100%;
    }
}

@media screen and (min-width: 992px) {
    main {
        display: flex;
        flex-direction: column;
    }

    .sobre-a-biblioteca {
        display: flex;
        flex-direction: row;
        padding: 7rem;
        gap: 4rem;
        max-width: 150rem;
        align-self: center;
    }

    #container .sobre-a-biblioteca .video img {
        width: 100%;
    }
}

/* === DOCUMENTOS - ESTÁTICO === */
.documentos .dados a {
    text-decoration: none;
    font-weight: var(--font-seminegrito);
    color: white;
}

.documentos h2 {
    color: white;
}

.documentos .dados a:hover {
    text-decoration: underline;
    font-weight: var(--font-seminegrito);
    color: white;
}

.documentos .card-dados a {
    display: flex;
    justify-content: center;
    align-items: center;
}

.documentos .card-dados a:hover {
    transform: translateY(-4px);
    transition: 0.20s;
}

.documentos .card-dados a:not(:hover) {
    transform: translateY(0px);
    transition: 0.20s;
}

.documentos .card-dados a .img-titulo {
    padding-top: 1.8rem;
    position: absolute;
    z-index: 2;
}

/* === DOCUMENTOS - MOBILE === */
@media screen and (max-width: 768px) {
    .documentos {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        background-color: black;
        background-size: cover;
        padding: 1.5rem;
        padding-bottom: 2rem;
        padding-top: 2rem;
        font-size: smaller;
        height: max-content;
    }

    .documentos .dados {
        gap: 0.5rem;
    }

    .dados {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
    }

    .card-dados {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
        gap: 1rem;
        justify-content: center;
        padding: 1rem;
    }

    .card-dados #pasta {
        width: 155px;
    }

    .card-dados #img-pasta {
        width: 85px;
        padding-bottom: 1px;
    }
}

@media screen and (max-width: 406px) {
    .card-dados #pasta {
        width: 135px;
    }

    .card-dados #img-pasta {
        width: 73px;
        padding-bottom: 4px;
    }
}

/* === PERIÓDICOS === */
.peri .periodicos .mt-5 .tab-content {
    border: 1px solid #dee2e6;
    border-top: none;
    background-image: url("../images/Jornada-do-aluno/conheça a malta.png");
    height: max-content;
}

.peri .periodicos .mt-5 .tab-content a {
    text-decoration: none;
    color: black;
}

.peri .periodicos .mt-5 .tab-content a:hover {
    text-decoration: underline;
    color: #ba0f14;
}

.peri .periodicos .mt-5 a {
    color: black;
}

/* Periódicos - desktop */
@media screen and (min-width: 768px) {
    .peri {
        display: flex;
        flex-direction: column;
        padding: 7rem;
    }

    .peri .periodicos {
        max-width: 130rem;
        align-self: center;
    }
}

/* Periódicos - mobile */
@media screen and (max-width: 768px) {
    .peri {
        padding: 1rem;
    }

    .div-form {
        width: 100%;
        display: flex;
        justify-content: center;
    }
}

/* === FORMULÁRIO === */
@media screen and (min-width: 769px) {
    .formulario {
        display: flex;
        flex-wrap: wrap;
        padding: 7rem;
        gap: 1rem;
        justify-content: center;
    }

    .div-formulario {
        width: 100%;
        max-width: 130rem;
        display: flex;
        flex-wrap: wrap;
        gap: 4rem;
    }

    .div-form, form {
        max-width: 30rem;
    }
}

.repositorio-institucional {
    max-width: 50rem;
}

@media screen and (max-width: 768px) {
    .formulario {
        padding: 1rem;
        gap: 1rem;
    }

    .formulario .repositorio-institucional .botoes {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        font-size: small;
    }
}

.formulario .repositorio-institucional .botoes {
    display: flex;
    gap: 1.5rem;
    flex-wrap: wrap;
    padding-bottom: 1rem;
}

/* ===================================================
   ==  BLOCO IMPORTADO DO STYLE INLINE (PRIORITÁRIO) ==
   =================================================== */

/* Mobile + */
@media screen and (min-width: 768px) {
    .documentos {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        background-image: url("{% static 'assets/media/img/biblioteca-digital/banner-biblioteca-digital.jpg' %}");
        background-size: cover;
        padding: 4rem;
        height: max-content;
        padding-bottom: 2rem;
        padding-top: 2rem;
        gap: 1rem;
    }

    .dados {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
    }

    .card-dados {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
        gap: 1rem;
        justify-content: center;
    }
}

/* Desktop */
@media screen and (min-width: 992px) {
    #max-width {
        align-self: center;
        max-width: 130rem;
    }

    .documentos {
        display: flex;
        padding: 7rem;
        gap: 1rem;
        background-image: url("{% static 'assets/media/img/biblioteca-digital/banner-biblioteca-digital.jpg' %}");
        background-size: cover;
    }

    .card-dados {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
    }

    .documentos .dados a {
        width: max-content;
    }

    .base-de-dados {
        padding-bottom: 1rem;
    }
}

/* Repositório paulo freire - desktop */
@media screen and (min-width: 768px) {
    .repositorio {
        display: flex;
        justify-content: center;
        padding: 7rem;
        gap: 1rem;
        background-image: url("{% static 'assets/media/img/biblioteca-digital/banner-biblioteca-digital.jpg' %}");
        background-size: cover;
    }

    .repositorio h2 {
        color: white;
    }

    .repositorio a {
        width: max-content;
    }

    .repositorio-paulo-freire {
        width: 100%;
        max-width: 130rem;
    }

    .video-paulo-freire {
        width: 100%;
        gap: 3rem;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .iframe-repositorio {
        width: 100%;
        max-width: 500px;
        height: 20rem;
    }

    .links-repositorio {
        display: flex;
        flex-direction: column;
        margin-top: 20px;
    }
}

/* Repositório paulo freire - mobile */
@media screen and (max-width: 768px) {
    .repositorio {
        display: flex;
        padding: 1rem;
        background-image: url("{% static 'assets/media/img/biblioteca-digital/bg-jornada-aluno.jpg' %}");
        background-size: cover;
    }

    .repositorio h2 {
        color: white;
        padding-top: 1rem;
    }

    .repositorio-paulo-freire {
        width: 100%;
    }

    .video-paulo-freire {
        width: 100%;
        gap: 3rem;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .iframe-repositorio {
        width: 100%;
        height: 20rem;
    }

    .links-repositorio {
        display: flex;
        flex-direction: column;
        margin-top: 20px;
        font-size: smaller;
        gap: 0.5rem;
    }
}
